/**************************************************************************************************/

/*
 * File: main.c
 * Author: Roman Lysecky
 * Date Created: 26 August 2012
 *
 * Description: Main functionality for simple C program reports the number of vowels within 
 * a user entered string.
 *
 * Copyright: Roman Lysecky, Electrical and Computer Engineering, University of Arizona, 2012.
 *
 */

/**************************************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include "numvowels.h"

/**************************************************************************************************/

int
main()
{
   char userString[1000];
   
   printf("Enter a string: ");
   
   /* 
    * Uses scanf() to read in a user entered string. There is a safety concern with this method:
    * What would happen is the user entered a string longer than 1000 characters?
    *
    * How could this be corrected?
    *
    */
   scanf("%s", userString);
   
   printf("%s has %d vowels.\n\n", userString, num_vowels(userString));
    
	return 0;
}

/**************************************************************************************************/
